3. Get events using JSON payload for filtering
Returns events matching the supplied JSON filter object.
Unknown JSON properties are ignored by the current implementation. Array-valued properties are represented as JSON arrays.
POST
/api/events/filterRequest body
requiredapplication/jsonoffsetinteger<int64>min 0
limitinteger<int64>min 0
startstringmatches ^\d{4}-\d{2}-\d{2}$
endstringmatches ^\d{4}-\d{2}-\d{2}$
timestringcategoriesinteger[]searchstringvenuestringspace_typesstring[]countriesstring[]postal_codestringtitlestringcitystringevent_typesinteger[]genresinteger[]tagsstring[]accessibilitystringvisitor_infosstringagestringpricestringlonnumber<double>latnumber<double>radiusnumber<double>last_event_start_atstringlast_event_date_uuidstringlangstringportalstringorg_uuidsstring[]venue_uuidsstring[]space_uuidsstring[]event_uuidsstring[]geolist_regionstringResponses
200
Events returned successfully.
eventsGetEvents.EventResponse[]requiredShow propertiesHide properties
Array of
GetEvents.EventResponsesearch_ranknumber<float>requireduuidstringrequireddate_uuidstringrequireddate_slugstringrequiredtitlestringrequiredsubtitlestring | anyShow propertiesHide properties
Any of:
string
stringany
anysummarystring | anyShow propertiesHide properties
Any of:
string
stringany
anystart_datestringrequiredstart_timestring | anyShow propertiesHide properties
Any of:
string
stringany
anyend_datestring | anyShow propertiesHide properties
Any of:
string
stringany
anyend_timestring | anyShow propertiesHide properties
Any of:
string
stringany
anyentry_timestring | anyShow propertiesHide properties
Any of:
string
stringany
anydurationinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyall_dayboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyticket_linkstring | anyShow propertiesHide properties
Any of:
string
stringany
anyspace_uuidstring | anyShow propertiesHide properties
Any of:
string
stringany
anyspace_namestring | anyShow propertiesHide properties
Any of:
string
stringany
anyspace_accessibility_flagsstring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_uuidstring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_namestring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_citystring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_streetstring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_house_numberstring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_postal_codestring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_statestring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_countrystring | anyShow propertiesHide properties
Any of:
string
stringany
anyvenue_latnumber<double> | anyShow propertiesHide properties
Any of:
number<double>
number<double>any
anyvenue_lonnumber<double> | anyShow propertiesHide properties
Any of:
number<double>
number<double>any
anyimage_uuidstring | anyShow propertiesHide properties
Any of:
string
stringany
anyimage_pathstring | anyShow propertiesHide properties
Any of:
string
stringany
anyimage_ai_labelstring | anyShow propertiesHide properties
Any of:
string
stringany
anyorg_uuidstringrequiredorg_namestringrequiredcategoriesinteger[]event_typesGetEvents.EventType[]Show propertiesHide properties
Array of
GetEvents.EventTypetype_idintegerrequiredgenre_idintegerrequiredlanguagesstring[]requiredtagsstring[]requiredmin_ageinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anymax_ageinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anyprice_typestring | anyShow propertiesHide properties
Any of:
string
stringany
anymin_pricenumber<double> | anyShow propertiesHide properties
Any of:
number<double>
number<double>any
anymax_pricenumber<double> | anyShow propertiesHide properties
Any of:
number<double>
number<double>any
anycurrencystring | anyShow propertiesHide properties
Any of:
string
stringany
anyvisitor_info_flagsstring | anyShow propertiesHide properties
Any of:
string
stringany
anyrelease_statusstring | anyShow propertiesHide properties
Any of:
string
stringany
anylast_event_date_uuidstring | anyShow propertiesHide properties
Any of:
string
stringany
anylast_event_start_atstring | anyShow propertiesHide properties
Any of:
string
stringany
any400
Invalid request or filter parameter.
object500
Internal server error.
object